/**
* This file is a part of the Cairo-Dock project
*
* Copyright : (C) see the 'copyright' file.
* E-mail    : see the 'copyright' file.
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 3
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef __CD_APPLET_STRUCT__
#define  __CD_APPLET_STRUCT__

#include <cairo-dock.h>

typedef struct {
	gchar *cGPUName;
	gint iVideoRam;
	gchar *cDriverVersion;
	gint iGPUTemp;
} nVidiaData;

typedef enum {
	MY_APPLET_TEMP_NONE = 0,
	MY_APPLET_TEMP_ON_QUICKINFO,
	MY_APPLET_TEMP_ON_NAME,
	MY_APPLET_TEMP_ON_ICON,
	MY_APPLET_TEMP_NUMBER,
} nVidiaTemp;

//\___________ structure containing the applet's configuration parameters.
struct _AppletConfig {
	nVidiaTemp iDrawTemp;
	gchar *cBrokenUserImage;
	const gchar *cGThemePath;
	gchar *cWatermarkImagePath;
	gdouble fAlpha;
	
	gboolean bUseGraphic;
	CairoDockTypeGraph iGraphType;
	gboolean bMixGraph;
	gdouble fLowColor[3];
	gdouble fHigholor[3];
	gdouble fBgColor[4];
	
	gchar *defaultTitle;
	gchar *cSoundPath;
	gint iCheckInterval;
	gint iLowerLimit;
	gint iUpperLimit;
	gint iAlertLimit;
	gboolean bCardName;
	gboolean bAlert;
	gboolean bAlertSound;
} ;

//\___________ structure containing the applet's data, like surfaces, dialogs, results of calculus, etc.
struct _AppletData {
	nVidiaData pGPUData;
	gboolean bAcquisitionOK;
	gboolean bAlerted;
	gboolean bSettingsTooOld;
	gint iPreviousGPUTemp;
	CairoDockTask *pTask;
	CairoDockTask *pConfigTask;
	Gauge *pGauge;
	CairoDockGraph *pGraph;
} ;


#endif
