/**
* This file is a part of the Cairo-Dock project
*
* Copyright : (C) see the 'copyright' file.
* E-mail    : see the 'copyright' file.
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 3
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef __CD_APPLET_STRUCT__
#define  __CD_APPLET_STRUCT__

#include <cairo-dock.h>

struct _AppletConfig {
	gchar *defaultTitle;
	gint iCheckInterval;
	CairoDockInfoDisplay iInfoDisplay;
	gboolean bShowSwap;
	gboolean bShowFreeMemory;
	
	const gchar *cGThemePath;
	gchar *cWatermarkImagePath;
	gdouble fAlpha;
	
	gboolean bUseGraphic;
	CairoDockTypeGraph iGraphType;
	gboolean bMixGraph;
	gdouble fLowColor[3];  // RAM
	gdouble fHigholor[3];
	gdouble fBgColor[4];
	gdouble fLowColor2[3];  // SWAP
	gdouble fHigholor2[3];
	
	gint iNbDisplayedProcesses;
	gboolean bTopInPercent;
	CairoDockLabelDescription *pTopTextDescription;
	
	gchar *cSystemMonitorCommand;
} ;


typedef struct {
	gint iPid;
	gchar *cName;
	gdouble iMemAmount;
	} CDProcess;

struct _AppletData {
	CairoDockTask *pTask;
	unsigned long long ramTotal, ramFree, ramUsed, ramBuffers, ramCached;
	unsigned long long swapTotal, swapFree, swapUsed;
	gdouble fPrevRamPercent, fPrevSwapPercent;
	gboolean bAcquisitionOK;
	gboolean bInitialized;
	Gauge *pGauge;
	CairoDockGraph *pGraph;
	gulong iMemPageSize;
	CDProcess **pTopList;
	CDProcess **pPreviousTopList;
	gint iNbDisplayedProcesses;
	cairo_surface_t *pTopSurface;
	CairoDialog *pTopDialog;
	CairoDockTask *pTopTask;
} ;


#endif
